%define		status		stable
%define		pearname	Console_Table
Summary:	%{pearname} - makes it easy to build console style tables
Summary(pl.UTF-8):	%{pearname} - proste tworzenie tabel konsolowych
Name:		php-pear-%{pearname}
Version:	1.3.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	6b84a527b3a1cf6be26c66863bae2ace
URL:		http://pear.php.net/package/Console_Table/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear
Suggests:	php-pear-Console_Color2
Obsoletes:	php-pear-Console_Table-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq_pear	Console/Color2.*

%description
Provides methods such as addRow(), insertRow(), addCol() etc to build
Console tables. Can be with or without headers, and has various
configurable options.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Dostarcza metod, takich jak addRow(), insertRow(), addCol(), itp. do
tworzenia tabel konsolowych. Mogą być robione z i bez nagłówków.
Posiada wiele opcji konfigurowalnych.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Console/Table.php
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/php-pear-Console_Table.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4dd9eb3
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Feb 24 2019 Adam Gołębiowski <adamg@pld-linux.org> cb7caff
- updated to 1.3.1

* Mon Oct 22 2018 Adam Gołębiowski <adamg@pld-linux.org> 50c7596
- updated to 1.3.0

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> eeb1a14
- up to 1.2.1

* Tue Jun 24 2014 Elan Ruusamäe <glen@delfi.ee> 1801067
- suggests Console_Color2

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 8e1533a
- up to 1.2.0

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 9b8f5cc
- updated to: 1.1.5

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> ac69807
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3f73674
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> d5cd2fc
- updated to: 1.1.4

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 326534d
- updated deps with pearize.sh
- release 2

* Wed Oct 22 2008 Adam Gołębiowski <adamg@pld-linux.org> 1b8e141
- updated to 1.1.3

* Mon Jul 28 2008 Adam Gołębiowski <adamg@pld-linux.org> bbe0db6
- updated to 1.1.2

* Fri May 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 83ec8b4
- updated to 1.1.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 38656bc
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b100881
- 1.0.8

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 60a6151
- up to 1.0.7

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 4825c3d
- 1.0.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d20f5fb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 201180e
- converted to UTF-8

